%define aurox_ver 10.0
%define rel 1



# $Id: qscintilla.spec,v 1.10 2004/03/11 20:07:46 rexdieter Exp $

%define scintilla_ver 1.60

Summary: QScintilla - A Port to Qt of Scintilla 
Name:	 qscintilla 
Epoch:	 0
Version: 1.3
Release: %{aurox_ver}.aur.%{rel}
License: GPL
Group:   Development/Tools
Url:     http://www.riverbankcomputing.co.uk/qscintilla/
#Source:	 http://www.river-bank.demon.co.uk/download/QScintilla/qscintilla-%{scintilla_ver}-x11-gpl-%{version}.tar.gz
Source:	 http://www.river-bank.demon.co.uk/download/QScintilla/qscintilla-%{scintilla_ver}-gpl-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Excludearch: alpha

BuildRequires: qt-devel >= 1:3.3
%define qt_ver %(rpm -q --qf '%%{version}' qt-devel | cut -d. -f1,2)
%define qtdir %(unset QTDIR ||:; source /etc/profile.d/qt.sh 2>/dev/null; echo ${QTDIR:-/usr/lib/qt-3.3} )
Requires: qt >= 1:%{qt_ver}

%description
"Scintilla is a free source code editing component.  It comes with complete
source code and a license that permits use in any free project or commercial
product. 

As well as features found in standard text editing components, Scintilla
includes features especially useful when editing and debugging source code.
These include support for syntax styling, error indicators, code completion and
call tips.  The selection margin can contain markers like those used in
debuggers to indicate breakpoints and the current line.  Styling choices are
more open than with many editors, allowing the use of proportional fonts, bold
and italics, multiple foreground and background colours and multiple fonts."

Scintilla runs on Windows and on UNIX/Linux using the GTK+ GUI toolkit.

QScintilla is a port or Scintilla to the Qt GUI toolkit from Trolltech and runs
on any operating system supported by Qt (eg. Windows, UNIX/Linux, MacOS/X).  Qt
v3 or later is required.

This version of QScintilla is based on Scintilla v%{scintilla_ver}.

%package devel
Summary: QScintilla Developmen Files
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: qt-devel >= %{qt_ver}
%description devel
These are the development files for QScintilla, needed to build against
QScintilla.


%prep
#%setup -q -n %{name}-%{scintilla_ver}-x11-gpl-%{version}
%setup -q -n %{name}-%{scintilla_ver}-gpl-%{version}


%build
rm -rf $RPM_BUILD_ROOT
unset QTDIR || : ; . /etc/profile.d/qt.sh

mv qt/qscintilla.pro qt/qscintilla.pro.orig
sed "s/\$(QTDIR)/\$(RPM_BUILD_ROOT)\$(QTDIR)/" qt/qscintilla.pro.orig >qt/qscintilla.pro

pushd qt
qmake -o Makefile qscintilla.pro
make %{?_smp_mflags}
popd


%install

mkdir -p $RPM_BUILD_ROOT%{qtdir}/include \
	 $RPM_BUILD_ROOT%{qtdir}/translations
install -m 644 qt/qextscintilla*.h 	$RPM_BUILD_ROOT%{qtdir}/include
install -m 644 qt/qscintilla*.qm	$RPM_BUILD_ROOT%{qtdir}/translations


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE NEWS README
%{qtdir}/lib/*
%{qtdir}/translations/*

%files devel
%defattr(-,root,root)
%{qtdir}/include/*


%changelog
* Mon Jul 26 2004 Aurox Team <aurox@aurox.org> 0:1.3-10.0.aur.1
- version 1.60
- include into Aurox

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.6
- dynamically determine version for qt dependancy.

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.5
- (re)build against qt-3.3.1

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.4
- remove extraneous macros
- (re)build against qt-3.2.3

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.3
- (re)build against qt-3.2.2

* Wed Sep 17 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.2
- use Epoch's in Requires

* Tue Aug 19 2003 Rex Dieter <rexdieter at sf.net> 0:1.2-0.fdr.1
- 1.2

